import * as Minecraft from "@minecraft/server"

Minecraft.world.events.beforeItemUse.subscribe(({item, source}) => {
    source.addTag(`itemUse:${item.typeId}`)
    setTickTimeout(() => {
        source.removeTag(`itemUse:${item.typeId}`)
    }, 1)
})

function setTickTimeout(callback, tick){
    let ticks = 0
    let TickCallBack = Minecraft.world.events.tick.subscribe(() => {
        ticks += 1
        
        if(ticks == tick){
            callback()
            Minecraft.world.events.tick.unsubscribe(TickCallBack)
        }
    })
}